Preauth With Zero Dollar

API Explorer
https://payment.ipospays.tech/api/v3/iposTransact
POST

Submits a payment request using transaction type 5. Performs a zero-dollar preauthorization on a card using a card token to validate the card without charging the customer. The request can also include billing address details for Address Verification Service (AVS) validation and optionally return the card token in the response.

Header Parameters

token*string

Authentication token generated using the API Key and Secret Key. Required for all API requests.

Request Body

application/json

Response Body

application/json

application/json

curl -X POST "https://example.com" \  -H "token: your-access-token-here" \  -H "Content-Type: application/json" \  -d '{    "merchantAuthentication": {      "merchantId": "123456789123",      "transactionReferenceId": "TXN000"    },    "transactionRequest": {      "amount": "0",      "transactionType": 5,      "cardToken": "card-token-value-example"    },    "preferences": {      "eReceipt": false,      "customerName": "John Doe",      "customerEmail": "johndoe@example.com",      "customerMobile": "+14242424243",      "requestCardToken": true    },    "Avs": {      "StreetNo": "123 Main St",      "Zip": "90210"    }  }'
{
  "iposhpresponse": {
    "responseCode": "200",
    "responseMessage": "success",
    "errResponseCode": "",
    "errResponseMessage": "",
    "transactionReferenceId": "TXN1718000000123",
    "transactionType": "5",
    "transactionId": "TXID-88990011",
    "amount": "0",
    "responseApprovalCode": "APP12345",
    "rrn": "219313501821",
    "chdToken": "Cardholder data token",
    "transactionNumber": "4321",
    "batchNumber": "123",
    "customFee": "0",
    "totalAmount": "0"
  }
}
{
  "errors": [
    {
      "field": "cardNumber",
      "message": "Invalid card number format."
    }
  ]
}